Skip to main content
POST
/
orgs
/
{org_id}
/
api-keys
Create API key
import requests

url = "https://vued-office-api-dev.onrender.com/v1/orgs/{org_id}/api-keys"

payload = {
    "name": "Public API key",
    "expires_at": "<string>",
    "scopes": ["<string>"]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
{
  "token": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "keyPrefix": "<string>",
    "scopes": [
      "<string>"
    ],
    "createdAt": 123,
    "lastUsedAt": 123,
    "expiresAt": 123,
    "revokedAt": 123
  },
  "secret": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org_id
string<uuid>
required

Body

application/json
name
string
default:Public API key
expires_at
scopes
string[]

Response

200 - application/json

Created API key with one-time secret.

token
object
secret
string

Full API key secret. Returned only once.

Last modified on June 29, 2026